Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226555

Summary: Merge Review: xerces-j2
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Permaine Cheung <pcheung>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mwringe, victor.vasilyev
Target Milestone: ---Flags: pcheung: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-07-09 15:40:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 21:18:57 UTC
Fedora Merge Review: xerces-j2

http://cvs.fedora.redhat.com/viewcvs/devel/xerces-j2/
Initial Owner: mwringe@redhat.com

Comment 2 Permaine Cheung 2007-04-19 15:47:37 UTC
Please fix item(s) mared by X:
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
* license field matches the actual license.
* license is open source-compatible.
 - use acronyms for licences where common
* specfile name matches %{name}
X verify source and patches (md5sum matches upstream, know what the patches do)
 - Source0 doesn't exist
* skim the summary and description for typos, etc.
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
* license text included in package and marked with %doc
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
X rpmlint on <this package>.srpm gives no output
W: xerces-j2 non-standard-group Text Processing/Markup/XML
W: xerces-j2 unversioned-explicit-provides jaxp_parser_impl
The group one is OK, please fix the unversioned-explicit-provides
* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

* Packager tag should not be used
* Vendor tag should not be used
* Distribution tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
X specfile is legible
 - please get rid of section tag
 - URL indicates 'Xerces has moved out of the XML project and is now a project
in its own right.' , please update with the new URL
 - in this spec file, commands are usually just plain commands instead of
   macros except for %{__sed}
* package successfully compiles and builds on at least x86
* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
* make sure lines are <= 80 characters
* specfile written in American English
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
X consider using cp -p to preserve timestamps
- please use cp -p on lines 164, 248-253
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-2.7.1-9jpp.1.fc7.x86_64.rpm
jaxp_parser_impl
xerces-j2-2.7.1.jar.so()(64bit)
xerces-j2-dom3 = 0:2.7.1-9jpp.1.fc7
xerces-j2 = 0:2.7.1-9jpp.1.fc7
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-2.7.1-9jpp.1.fc7.x86_64.rpm
/bin/sh
/bin/sh
/bin/sh
/usr/sbin/update-alternatives
/usr/sbin/update-alternatives
java-gcj >= 1.5.0
java-gcj >= 1.5.0
jaxp_parser_impl
jaxp_parser_impl
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libdl.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcj_bc.so.1()(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
librt.so.1()(64bit)
libz.so.1()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rtld(GNU_HASH)
xml-commons-apis >= 0:1.3
xml-commons-resolver >= 1.1
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-debuginfo-2.7.1-9jpp.1.fc7.x86_64.rpm
xerces-j2-2.7.1.jar.so.debug()(64bit)
xerces-j2-samples.jar.so.debug()(64bit)
xerces-j2-debuginfo = 0:2.7.1-9jpp.1.fc7
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-debuginfo-2.7.1-9jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-demo-2.7.1-9jpp.1.fc7.x86_64.rpm
xerces-j2-samples.jar.so()(64bit)
xerces-j2-demo = 0:2.7.1-9jpp.1.fc7
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-demo-2.7.1-9jpp.1.fc7.x86_64.rpm
/bin/sh
/bin/sh
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libdl.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcj_bc.so.1()(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
librt.so.1()(64bit)
libz.so.1()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
xerces-j2 = 0:2.7.1-9jpp.1.fc7
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-javadoc-apis-2.7.1-9jpp.1.fc7.x86_64.rpm
xerces-j2-dom3-javadoc = 0:9jpp.1.fc7-2.7.1
xerces-j2-javadoc-apis = 0:2.7.1-9jpp.1.fc7
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-javadoc-apis-2.7.1-9jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-javadoc-impl-2.7.1-9jpp.1.fc7.x86_64.rpm
xerces-j2-javadoc-impl = 0:2.7.1-9jpp.1.fc7
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-javadoc-impl-2.7.1-9jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-javadoc-other-2.7.1-9jpp.1.fc7.x86_64.rpm
xerces-j2-javadoc-other = 0:2.7.1-9jpp.1.fc7
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-javadoc-other-2.7.1-9jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-javadoc-xni-2.7.1-9jpp.1.fc7.x86_64.rpm
xerces-j2-javadoc-xni = 0:2.7.1-9jpp.1.fc7
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-javadoc-xni-2.7.1-9jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-scripts-2.7.1-9jpp.1.fc7.x86_64.rpm
xerces-j2-scripts = 0:2.7.1-9jpp.1.fc7
[pcheung@to-fcjpp1 pcheung]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-scripts-2.7.1-9jpp.1.fc7.x86_64.rpm
jpackage-utils >= 0:1.6
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
xerces-j2 = 0:2.7.1-9jpp.1.fc7
X run rpmlint on the binary RPMs
[pcheung@to-fcjpp1 pcheung]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-*x86*rpm
W: xerces-j2 non-standard-group Text Processing/Markup/XML
W: xerces-j2 dangling-symlink /usr/share/java/jaxp_parser_impl.jar /etc/alternatives
W: xerces-j2 symlink-should-be-relative /usr/share/java/jaxp_parser_impl.jar
/etc/alternatives
- Can these symlink warnings be fixed?

W: xerces-j2-demo non-standard-group Development/Testing
W: xerces-j2-demo no-documentation
- Is there any doc for the -demo package?

W: xerces-j2-javadoc-apis non-standard-group Development/Documentation
W: xerces-j2-javadoc-impl non-standard-group Development/Documentation
W: xerces-j2-javadoc-other non-standard-group Development/Documentation
W: xerces-j2-javadoc-xni non-standard-group Development/Documentation
W: xerces-j2-scripts non-standard-group Text Processing/Markup/XML
W: xerces-j2-scripts no-documentation
- Is there any doc for the -scripts package?


SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
* package should build in mock


Comment 3 Matt Wringe 2007-04-25 23:27:32 UTC
(In reply to comment #2)
> 
> * specfile name matches %{name}
> X verify source and patches (md5sum matches upstream, know what the patches do)
>  - Source0 doesn't exist
Updated link location

> * skim the summary and description for typos, etc.
> * correct buildroot
>  - should be:
>    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> * if %{?dist} is used, it should be in that form (note the ? and %
> locations)
> * license text included in package and marked with %doc
> * keep old changelog entries; use judgement when removing (too old?
> useless?)
> * packages meets FHS (http://www.pathname.com/fhs/)
> X rpmlint on <this package>.srpm gives no output
> W: xerces-j2 non-standard-group Text Processing/Markup/XML
> W: xerces-j2 unversioned-explicit-provides jaxp_parser_impl
> The group one is OK, please fix the unversioned-explicit-provides
Fixed


> X specfile is legible
>  - please get rid of section tag
Done

>  - URL indicates 'Xerces has moved out of the XML project and is now a project
> in its own right.' , please update with the new URL
This is the proper URL, they are just saying welcome to the new project page
they are not part of the XML project anymore.

>  - in this spec file, commands are usually just plain commands instead of
>    macros except for %{__sed}
Fixed

> X consider using cp -p to preserve timestamps
> - please use cp -p on lines 164, 248-253
fixed (note -a is the same as -dpR)

> X run rpmlint on the binary RPMs
> [pcheung@to-fcjpp1 pcheung]$ rpmlint
> /var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-*x86*rpm
> W: xerces-j2 non-standard-group Text Processing/Markup/XML
> W: xerces-j2 dangling-symlink /usr/share/java/jaxp_parser_impl.jar
/etc/alternatives
> W: xerces-j2 symlink-should-be-relative /usr/share/java/jaxp_parser_impl.jar
> /etc/alternatives
> - Can these symlink warnings be fixed?
No, the package needs to use the external Alternatives system, therefore the
symlinks warnings can't be removed.

> 
> W: xerces-j2-demo non-standard-group Development/Testing
> W: xerces-j2-demo no-documentation
> - Is there any doc for the -demo package?
No

> W: xerces-j2-javadoc-apis non-standard-group Development/Documentation
> W: xerces-j2-javadoc-impl non-standard-group Development/Documentation
> W: xerces-j2-javadoc-other non-standard-group Development/Documentation
> W: xerces-j2-javadoc-xni non-standard-group Development/Documentation
> W: xerces-j2-scripts non-standard-group Text Processing/Markup/XML
> W: xerces-j2-scripts no-documentation
> - Is there any doc for the -scripts package?
No

> 
> SHOULD:
> * package should include license text in the package and mark it with %doc
> * package should build on i386
> * package should build in mock
> 

Updated SRPM:

https://mwringe.108.redhat.com/files/documents/175/351/xerces-j2-2.7.1-9jpp.1.src.rpm


Comment 4 Permaine Cheung 2007-04-26 21:24:42 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > 
> > * specfile name matches %{name}
> > X verify source and patches (md5sum matches upstream, know what the patches do)
> >  - Source0 doesn't exist
> Updated link location
md5sum matches
> 
> > * skim the summary and description for typos, etc.
> > * correct buildroot
> >  - should be:
> >    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> > * if %{?dist} is used, it should be in that form (note the ? and %
> > locations)
> > * license text included in package and marked with %doc
> > * keep old changelog entries; use judgement when removing (too old?
> > useless?)
> > * packages meets FHS (http://www.pathname.com/fhs/)
> > X rpmlint on <this package>.srpm gives no output
> > W: xerces-j2 non-standard-group Text Processing/Markup/XML
> > W: xerces-j2 unversioned-explicit-provides jaxp_parser_impl
> > The group one is OK, please fix the unversioned-explicit-provides
> Fixed
> 
> 
> > X specfile is legible
> >  - please get rid of section tag
> Done
> 
Great!
> >  - URL indicates 'Xerces has moved out of the XML project and is now a project
> > in its own right.' , please update with the new URL
> This is the proper URL, they are just saying welcome to the new project page
> they are not part of the XML project anymore.
OK
> 
> >  - in this spec file, commands are usually just plain commands instead of
> >    macros except for %{__sed}
> Fixed
> 
Great!
> > X consider using cp -p to preserve timestamps
> > - please use cp -p on lines 164, 248-253
> fixed (note -a is the same as -dpR)
> 
Ah, OK.
> > X run rpmlint on the binary RPMs
> > [pcheung@to-fcjpp1 pcheung]$ rpmlint
> > /var/lib/mock/fedora-development-x86_64-core-pcheung/result/xerces-j2-*x86*rpm
> > W: xerces-j2 non-standard-group Text Processing/Markup/XML
> > W: xerces-j2 dangling-symlink /usr/share/java/jaxp_parser_impl.jar
> /etc/alternatives
> > W: xerces-j2 symlink-should-be-relative /usr/share/java/jaxp_parser_impl.jar
> > /etc/alternatives
> > - Can these symlink warnings be fixed?
> No, the package needs to use the external Alternatives system, therefore the
> symlinks warnings can't be removed.
> 
OK
> > 
> > W: xerces-j2-demo non-standard-group Development/Testing
> > W: xerces-j2-demo no-documentation
> > - Is there any doc for the -demo package?
> No
OK
> 
> > W: xerces-j2-javadoc-apis non-standard-group Development/Documentation
> > W: xerces-j2-javadoc-impl non-standard-group Development/Documentation
> > W: xerces-j2-javadoc-other non-standard-group Development/Documentation
> > W: xerces-j2-javadoc-xni non-standard-group Development/Documentation
> > W: xerces-j2-scripts non-standard-group Text Processing/Markup/XML
> > W: xerces-j2-scripts no-documentation
> > - Is there any doc for the -scripts package?
> No
OK
> 
> > 
> > SHOULD:
> > * package should include license text in the package and mark it with %doc
> > * package should build on i386
> > * package should build in mock
> > 
> 
> Updated SRPM:
> 
>
https://mwringe.108.redhat.com/files/documents/175/351/xerces-j2-2.7.1-9jpp.1.src.rpm
> 

Looks good.

APPROVED


Comment 5 Jason Tibbitts 2008-08-27 14:59:49 UTC
*** Bug 456281 has been marked as a duplicate of this bug. ***